import greenfoot.*;

public class Plane extends Actor
{
  private GreenfootImage image1;
  private GreenfootImage image2;
  private GreenfootImage image3;
  private boolean isGoingFast;
    public void act()
  {
   handleMovement();
   rocketCollision();
   grabBarrel();
   if ( ! isGoingFast ) 
   {
        animate();
   }
  }
  public void rocketCollision()
  {
      if (isTouching(Rocket.class))
   {
      setLocation( 400, 500);
      Greenfoot.playSound("Bang.wav");
      BarrelWorld barrelWorld = (BarrelWorld)getWorld();
           barrelWorld.removeLives(-1);
   }
   }
  public void handleMovement() 
  {
    move(1);
    if (Greenfoot.isKeyDown("left")) 
    {
        turn(-3);  
    }    
    if (Greenfoot.isKeyDown("right")) 
    {
        turn(3);
    } 
    if (Greenfoot.isKeyDown("up"))
    {
        move(5);
    }
    else
    {
        move(2);
    }
    if (Greenfoot.isKeyDown("up"))
    {
        isGoingFast = true;
        setImage(image3);
    }
    else
    {
        isGoingFast = false;
    }
  }
  public void grabBarrel()
  {
    if (isTouching(Barrel.class))
    {
        removeTouching(Barrel.class);
        getWorld().addObject (new Barrel(250), (Greenfoot.getRandomNumber(650)+70), (Greenfoot.getRandomNumber(450)+70));
        Greenfoot.playSound("Waha.wav");
        BarrelWorld barrelWorld = (BarrelWorld)getWorld();
           barrelWorld.updateScore(+1);
    }
  }
  public void animate()
  {
   if (getImage().equals(image1))
   {
    setImage(image2);
   }
   else
   { 
    setImage(image1);
   }
  }
  public Plane()
  {
   image1 = new GreenfootImage("airplane1.png");
   image2 = new GreenfootImage("airplane2.png");
   image3 = new GreenfootImage("airplaneFaster.png");
   isGoingFast = false;
   setImage(image1); 
  }
}
